groups:

# warns if ram usage > 65
- name: RAM metrics
  rules:
  - alert: NodeMemoryUsage
    expr: >-
      (((node_memory_MemTotal_bytes-node_memory_MemAvailable_bytes)/(node_memory_MemTotal_bytes)*100)) > 65
    for: 5m
    labels:
      severity: "{{ if gt $value 85 }}error{{ else }}warning{{ end }}"
    annotations:
      title: High memory usage
      url: "http://l1ts-grafana-dev.cms/d/ae9775c8-6c16-4c10-87ab-b2d4922f32f0/memory-overview?orgId=1&from=now-1d&to=now"
      description: >-
        Memory usage on {{$labels.instance}} is {{ $value | printf "%.2f" }}%.
        Contact [L1T Online Software expert](https://twiki.cern.ch/twiki/bin/viewauth/CMS/OnlineWBTriggerContacts).
  - alert: NodeMemoryRate
    expr: >-
      ((deriv(node_memory_MemAvailable_bytes[3h]))) < -250000
    for: 3h
    labels:
      severity: "warning"
    annotations:
      title: High memory rate
      url: "http://l1ts-grafana.cms/d/ae9775c8-6c16-4c10-87ab-b2d4922f32f0/memory-overview?orgId=1&from=now-6h&to=now&viewPanel=2"
      description: >-
        Memory usage rate on {{$labels.instance}} has been on average {{ $value | printf "%.2f" }}kB/s for more than 3h.
        Contact [L1T Online Software expert](https://twiki.cern.ch/twiki/bin/viewauth/CMS/OnlineWBTriggerContacts).
